#See https://aka.ms/customizecontainer to learn how to customize your debug container and how Visual Studio uses this Dockerfile to build your images for faster debugging.

FROM mcr.microsoft.com/dotnet/aspnet:8.0 AS base
USER app
WORKDIR /app
EXPOSE 8080
EXPOSE 8081

FROM mcr.microsoft.com/dotnet/sdk:8.0 AS build
ARG BUILD_CONFIGURATION=Release
WORKDIR /src
COPY ["FFD.Auth.Api/FFD.Auth.Api.csproj", "FFD.Auth.Api/"]
COPY ["FFD.Auth.Application/FFD.Auth.Application.csproj", "FFD.Auth.Application/"]
COPY ["FFD.Auth.Core/FFD.Auth.Core.csproj", "FFD.Auth.Core/"]
COPY ["FFD.Auth.Infrastructure/FFD.Auth.Infrastructure.csproj", "FFD.Auth.Infrastructure/"]
RUN dotnet restore "./FFD.Auth.Api/./FFD.Auth.Api.csproj"
COPY . .
WORKDIR "/src/FFD.Auth.Api"
RUN dotnet build "./FFD.Auth.Api.csproj" -c $BUILD_CONFIGURATION -o /app/build

FROM build AS publish
ARG BUILD_CONFIGURATION=Release
RUN dotnet publish "./FFD.Auth.Api.csproj" -c $BUILD_CONFIGURATION -o /app/publish /p:UseAppHost=false

FROM base AS final
WORKDIR /app
COPY --from=publish /app/publish .
ENTRYPOINT ["dotnet", "FFD.Auth.Api.dll"]